import { ServiceworkerClient } from './classes.serviceworkerclient.js';
import { ActionManager } from './classes.actionmanager.js';
export declare class GlobalSW {
    losslessSw: ServiceworkerClient;
    constructor(losslessServiceWorkerInstanceArg: ServiceworkerClient);
    /**
     * Exposes the action manager for traffic logging and SW communication
     */
    get actionManager(): ActionManager;
    /**
     * purges the cache of the app's serviceworker
     * @returns
     */
    purgeCache(): Promise<{}>;
    /**
     * attempts to reload the app
     */
    reloadApp(): Promise<void>;
}
